
@import url("/_content/XAFExtendComponent.Module/css/common.css");
@import url("https://cdn.jsdelivr.net/npm/bootswatch@5.3.8/dist/simplex/bootstrap.min.css");


:root {
    /**/
    --bs-danger: #ff0000;
    /* non vengono considerate da verificare
        --dxbl-fl-item-spacing-y: 0.3rem !important;
        --dxbl-fl-item-spacing-x: 0.5rem !important;
    */
    /**/
    --v-modal-body-background-color: #e9e9e9;
    --v-modal-footer-background-color: #e9e9e9;
    --v-header-right-background-color: #e9e9e9;
    /**/
    --v-panel-header-background-color: #e9e9e9;
    --v-panel-header-color: inherit;
    --v-panel-header-font-weight: inherit;
    --v-panel-header-font-size: 0.8rem;
    /**/
    --v-panel-caption-border-bottom: 2px solid red;
    --v-panel-caption-background-color: #3b3b3b;
    --v-panel-caption-color: #f9e1be;
    --v-panel-caption-font-weight: bold;
    --v-panel-caption-font-size: 0.8rem;
    /**/
    --v-panel-body-background-color: #e9e9e9;
    --v-panel-body-border-radius: 10px;
    --v-panel-body-border: 1px solid #a1a1a1;
    --v-panel-body-box-shadow: 1px 1px 5px #9b9b9b;
    /**/
    --v-panel-section-border-radius: 0px; /* --v-panel-section-border-radius: 5px; */
    --v-panel-section-border-top: 1px solid #a1a1a1;
    --v-panel-section-border-bottom: 0;
    --v-panel-section-border-left: 0;
    --v-panel-section-border-right: 0;
    --v-panel-section-box-shadow: none;
    --v-panel-section-caption-color: #c73b15;
    --v-panel-section-caption-font-weight: bold;
    --v-panel-section-caption-font-size: 0.8rem;
    --v-panel-section-padding-top: 5px;
    --v-panel-section-header-margin-bottom: -10px;
    --v-panel-section-header-background-color: #e9e9e9;
    /**/
    --v-grid-header-border-bottom: 2px solid red;
    --v-grid-header-background-color: #f9e1be !important;
    --v-grid-body-background-color: #f7f7f7;
    --v-grid-boby-cell-border-top: 1px solid #cecece !important;
    --v-grid-footer-background-color: #e9e9e9;
    --v-grid-footer-border-top: 1px solid #ff8787;
    /**/
    --v-grid-panel-header-background-color: #e9e9e9;
    --v-grid-panel-header-font-weight: inherit;
    --v-grid-panel-body-cell-font-weight: inherit;
    --v-grid-panel-pager-background-color: #e9e9e9;
    --v-grid-panel-footer-background-color: #e9e9e9;
    /**/
    --v-caption-helpinfo-background-color: #bfbfbf;
    --v-caption-helpinfo-box-background-color: #344859;
}

/* Bootstrap Icons */

.bi::before, [class^="bi-"]::before, [class*=" bi-"]::before {
    font-size: 1rem;
    font-weight: bolder !important;
}


/* popup */

.dxbl-modal-body {
    background-color: var(--v-modal-body-background-color);
}

    .dxbl-modal-body .main-toolbar {
        background-color: transparent;
        border: none !important;
    }

.dxbl-modal-footer {
    background-color: var(--v-modal-footer-background-color) !important;
    border: none !important;
}



/* header */

.header-left-side {
    background-color: #ffdfbd;
}

.header-right-side {
    background-color: var(--v-header-right-background-color);
    border-left: 1px solid red;
}

/* header bar */

.xaf-caption-icon-container {
    border: 1px solid #bcbcbc;
    background-color: white !important;
}

    .xaf-caption-icon-container .xaf-caption-icon {
        width: 20px;
        height: 20px;
        max-width: 20px;
        max-height: 20px;
    }

/* main */

.main-toolbar {
    background-color: #191919;
    padding: 10px;
}

.main-content .detail-view-content {
    padding-top: 5px;
    padding-bottom: 5px;
    padding-left: 5px;
    padding-right: 5px;
}

/* stack layout item */

.stacklayout-item .nested-frame .nested-toolbar {
    background-color: #191919;
    padding: 10px;
}

/* sidebar menu */

.xaf-sidebar {
    background-color: #191919;
    border: 0;
}

.xaf-navmenu .dxbl-group {
    background-color: #3b3b3b;
    border: 0;
}

    .xaf-navmenu .dxbl-group .xaf-nav-item {
        color: #9e9e9e;
        border: 0;
    }

.xaf-navmenu .dxbl-text {
    color: #d1d1d1;
}

.xaf-navmenu .dxbl-group-header {
    background-color: #191919 !important;
}

.xaf-nav-menu-item-icon {
    width: 21px;
    height: 21px;
    max-width: 21px;
    max-height: 21px;
}

.xaf-nav-link {
    text-decoration: none !important;
}


.dxbl-accordion-group-header .xaf-nav-link {
    font-weight: 500;
    font-weight: normal;
}

.dxbl-active .dxbl-accordion-group-header .xaf-nav-link {
    font-weight: 600;
    color: white;
}

.xaf-nav-item {
    border-bottom: 1px solid #3a362f;
}

    .xaf-nav-item.dxbl-active .dxbl-group-header {
        background-color: #403c36 !important;
        border-bottom: 1px solid #776a58 !important;
    }

        .xaf-nav-item.dxbl-active .dxbl-group-header .dxbl-text {
        }


/* form */

.dxbl-text-edit-input {
    font-weight: 600;
}

.dxbl-fl-item label {
    line-height: 0.8rem;
}

.dxbl-fl-item .dxbl-checkbox label {
    line-height: 1.2rem;
}

.dxbl-group-body .dxbl-tag-box > .dxbl-tag {
}

    .dxbl-group-body .dxbl-tag-box > .dxbl-tag > .dxbl-tag-text {
        font-weight: 600;
    }

.dxbl-group > .dxbl-group-header::before {
    background-color: transparent;
}

.dxbl-group > .dxbl-group-header > .dxbl-btn.dxbl-group-expand-btn > svg.dxbl-image {
    color: #5c5c5c;
}

.dxbl-fl .dxbl-fl-group > .dxbl-group {
    background-color: transparent;
}

.dxbl-fl-group .dxbl-group {
    border: 0;
}

    .dxbl-fl-group .dxbl-group .dxbl-text-edit {
        background-color: #f6f6f6;
    }

    .dxbl-fl-group .dxbl-group .dxbl-group-header {
        background-color: var(--v-panel-caption-background-color);
        border-bottom: var(--v-panel-caption-border-bottom);
        width: fit-content;
        margin-left: 20px;
        padding-top: 0px;
        padding-bottom: 0px;
    }

        .dxbl-fl-group .dxbl-group .dxbl-group-header .dxbl-text {
            color: var(--v-panel-caption-color);
            font-weight: var(--v-panel-caption-font-weight);
            font-size: var(--v-panel-caption-font-size);
        }

    .dxbl-fl-group .dxbl-group .dxbl-group-body {
        background-color: var(--v-panel-body-background-color);
        border-radius: var(--v-panel-body-border-radius);
        border: var(--v-panel-body-border);
        box-shadow: var(--v-panel-body-box-shadow);
    }

        .dxbl-fl-group .dxbl-group .dxbl-group-body .dxbl-group-header {
            background-color: var(--v-panel-header-background-color);
            font-size: var(--v-panel-header-font-size);
            font-weight: var(--v-panel-header-font-weight);
            color: var(--v-panel-header-color);
            border-bottom: 0;
        }

    .dxbl-fl-group .dxbl-group .dxbl-row .dxbl-group-body {
        box-shadow: var(--v-panel-section-box-shadow);
        border-top: var(--v-panel-section-border-top);
        border-bottom: var(--v-panel-section-border-bottom);
        border-left: var(--v-panel-section-border-left);
        border-right: var(--v-panel-section-border-right);
        border-radius: var(--v-panel-section-border-radius);
        padding-top: var(--v-panel-section-padding-top);
    }

    .dxbl-fl-group .dxbl-group .dxbl-row .dxbl-group-header {
        margin-bottom: var(--v-panel-section-header-margin-bottom)
    }

        .dxbl-fl-group .dxbl-group .dxbl-row .dxbl-group-header .dxbl-text {
            color: var(--v-panel-section-caption-color) !important;
            font-weight: var(--v-panel-section-caption-font-weight);
            font-size: var(--v-panel-section-caption-font-size);
        }

.dxbl-tabs-item {
    padding-top: 0 !important;
    padding-bottom: 0 !important;
}

    .dxbl-tabs-item.dxbl-active {
        background-color: var(--v-panel-caption-background-color) !important;
        border-bottom: var(--v-panel-caption-border-bottom) !important;
    }

        .dxbl-tabs-item.dxbl-active .dxbl-text {
            color: var(--v-panel-caption-color);
            font-weight: var(--v-panel-caption-font-weight);
            font-size: var(--v-panel-caption-font-size);
        }

    .dxbl-tabs-item .dxbl-text {
        font-size: var(--v-panel-header-font-size);
        font-weight: var(--v-panel-header-font-weight);
        color: var(--v-panel-header-color);
    }

.dxbl-tabs .dxbl-tabs-content-panel {
    background-color: var(--v-panel-body-background-color);
    border-radius: var(--v-panel-body-border-radius);
    border: var(--v-panel-body-border);
    box-shadow: var(--v-panel-body-box-shadow);
}

    .dxbl-tabs .dxbl-tabs-content-panel .dxbl-fl-group .dxbl-group .dxbl-group-body {
        box-shadow: var(--v-panel-section-box-shadow);
        border-top: var(--v-panel-section-border-top);
        border-bottom: var(--v-panel-section-border-bottom);
        border-left: var(--v-panel-section-border-left);
        border-right: var(--v-panel-section-border-right);
        border-radius: var(--v-panel-section-border-radius);
        padding-top: var(--v-panel-section-padding-top);
    }

    .dxbl-tabs .dxbl-tabs-content-panel .dxbl-fl-group .dxbl-group .dxbl-group-header {
        background-color: var(--v-panel-section-header-background-color);
        margin-bottom: var(--v-panel-section-header-margin-bottom);
        border-bottom: 0;
    }

        .dxbl-tabs .dxbl-tabs-content-panel .dxbl-fl-group .dxbl-group .dxbl-group-header .dxbl-text {
            color: var(--v-panel-section-caption-color) !important;
            font-weight: var(--v-panel-section-caption-font-weight);
            font-size: var(--v-panel-section-caption-font-size);
        }

.dxbl-tabs > .dxbl-tabs-tablist {
    background-color: transparent !important;
}

    .dxbl-tabs > .dxbl-tabs-tablist.dxbl-tabs-tablist-scrollable {
        padding-left: 20px;
        border: none !important;
        border-width: 0 !important;
    }

/* form-popup */

.dxbl-modal-body .dxbl-fl-group .dxbl-group .dxbl-group-body {
    box-shadow: none;
    border-left: none;
    border-right: none;
    border-bottom: none;
    border-radius: 0;
}

.dxbl-modal-body .dxbl-fl-group .dxbl-group .dxbl-row .dxbl-group-body {
    border-top: var(--v-panel-section-border-top);
    border-bottom: var(--v-panel-section-border-bottom);
    border-left: var(--v-panel-section-border-left);
    border-right: var(--v-panel-section-border-right);
    border-radius: var(--v-panel-section-border-radius);
}

.dxbl-modal-body .dxbl-fl-group .dxbl-group .dxbl-row .dxbl-group-header .dxbl-text {
}


.dxbl-modal-body .dxbl-tabs .dxbl-tabs-content-panel {
    box-shadow: none;
    border-radius: 0;
    border-left: none;
    border-right: none;
    border-bottom: none;
}

    .dxbl-modal-body .dxbl-tabs .dxbl-tabs-content-panel .dxbl-fl-group .dxbl-group .dxbl-group-body {
        border-top: var(--v-panel-section-border-top);
        border-bottom: var(--v-panel-section-border-bottom);
        border-left: var(--v-panel-section-border-left);
        border-right: var(--v-panel-section-border-right);
        border-radius: var(--v-panel-section-border-radius);
    }




/* DxGridListEditor */

.dxbl-grid > .dxbl-scroll-viewer > .dxbl-scroll-viewer-content > .dxbl-grid-table > tbody {
    background-color: var(--v-grid-body-background-color);
}

.dxbl-grid > .dxbl-grid-bottom-panel:last-of-type {
    background-color: var(--v-grid-footer-background-color);
    border-top: var(--v-grid-footer-border-top);
}

.dxbl-grid .dxbl-grid-table > tbody > tr > td,
.dxbl-grid .dxbl-grid-table > tfoot > tr > td,
.dxbl-grid .dxbl-grid-table > thead > tr > td {
    border-left: none !important;
    border-top: var(--v-grid-boby-cell-border-top);
}

.dxbl-grid table.dxbl-grid-table .dxbl-grid-header-row {
    background-color: var(--v-grid-header-background-color);
    border-bottom: var(--v-grid-header-border-bottom);
}

/* DxGridListEditor-panel */

.dxbl-fl-group .dxbl-grid,
.dxbl-tabs-content .dxbl-grid {
    border: none;
}

    .dxbl-fl-group .dxbl-grid .dxbl-grid-table,
    .dxbl-tabs-content .dxbl-grid .dxbl-grid-table {
        border: none;
    }

        .dxbl-fl-group .dxbl-grid .dxbl-grid-table .dxbl-grid-header-row .dxbl-grid-header,
        .dxbl-tabs-content .dxbl-grid .dxbl-grid-table .dxbl-grid-header-row .dxbl-grid-header {
            background-color: var(--v-grid-panel-header-background-color);
            border: none;
        }

            .dxbl-fl-group .dxbl-grid .dxbl-grid-table .dxbl-grid-header-row .dxbl-grid-header .dxbl-grid-header-content,
            .dxbl-tabs-content .dxbl-grid .dxbl-grid-table .dxbl-grid-header-row .dxbl-grid-header .dxbl-grid-header-content {
                font-weight: var(--v-grid-panel-header-font-weight);
            }

        .dxbl-fl-group .dxbl-grid .dxbl-grid-table thead > tr > th,
        .dxbl-tabs-content .dxbl-grid .dxbl-grid-table thead > tr > th {
        }

        .dxbl-fl-group .dxbl-grid .dxbl-grid-table tbody > tr,
        .dxbl-tabs-content .dxbl-grid .dxbl-grid-table tbody > tr {
        }

            .dxbl-fl-group .dxbl-grid .dxbl-grid-table tbody > tr > td,
            .dxbl-tabs-content .dxbl-grid .dxbl-grid-table tbody > tr > td {
                font-weight: var(--v-grid-panel-body-cell-font-weight);
            }

        .dxbl-fl-group .dxbl-grid .dxbl-grid-table tfoot > tr,
        .dxbl-tabs-content .dxbl-grid .dxbl-grid-table tfoot > tr {
            background-color: var(--v-grid-panel-footer-background-color);
        }


/* GridListEditor */


.dxbs-gridview table.dxbs-table thead > tr {
    background-color: var(--v-grid-header-background-color);
    border-bottom: var(--v-grid-header-border-bottom);
}

/* GridListEditor-panel */

.dxbl-tabs-content .dxbs-gridview table.dxbs-table thead > tr {
    background-color: var(--v-grid-panel-header-background-color) !important;
}

.dxbl-fl-group .dxbs-gridview table.dxbs-table {
}

    .dxbl-fl-group .dxbs-gridview table.dxbs-table thead > tr {
        background-color: var(--v-grid-panel-header-background-color);
        font-weight: var(--v-grid-panel-header-font-weight);
    }

        .dxbl-fl-group .dxbs-gridview table.dxbs-table thead > tr > th {
            border: 0;
        }

    .dxbl-fl-group .dxbs-gridview table.dxbs-table tbody > tr.dxbs-data-row {
        border: 0;
    }

    .dxbl-fl-group .dxbs-gridview table.dxbs-table tbody > tr > td {
        border: 0;
    }

    .dxbl-fl-group .dxbs-gridview table.dxbs-table tbody > tr.dxbs-data-row > td.dxbs-select-cell {
        border: 0;
    }

.dxbl-fl-group .dxbs-gridview .dxbs-grid-pager {
    background-color: var(--v-grid-panel-pager-background-color);
    border: 0;
}

